main() {

	int   ch = 0, i;

	for( i = 0; ( i <= 0x13 ) && ( ch != 27 ); i++ ) {

		if(( i >= 7 ) && ( i <= 0xC )) continue;

		_asm {
			mov   ax,i
			int   10h
		}

		printf(" Режим видеоадаптера номер %x", i );
		ch = getch();
	}
}
